name: checkout

on: 
  push:
    tags:
      - '*'

jobs:
  checkout:
    runs-on: ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest

    steps:
      - uses: https://git.phyllo.me/actions/checkout@v4
        with:
          fetch-depth: 0